#
# spec file for package libaio (Version 0.3.104)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils bzip2 coreutils cpio cpp cpp42 cracklib cvs diffutils file filesystem fillup findutils gawk gcc gcc42 gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libgcc42 libgomp42 libltdl-3 libmudflap42 libreadline5 libstdc++42 libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg pam pam-modules patch perl perl-base permissions popt rpm sed sysvinit tar texinfo timezone util-linux zlib


Name:           libaio
License:        LGPL v2.1 or later
Group:          System/Libraries
AutoReqProv:    on
Version:        0.3.104
Release:        74.2
Summary:        Linux-Native Asynchronous I/O Access Library
Source:         libaio-%{version}.tar.bz2
Patch1:         libaio-%{version}.diff
Patch2:         libaio-optflags.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The Linux-native asynchronous I/O facility ("async I/O", or "aio") has
a richer API and capability set than the simple POSIX async I/O
facility. This library provides the Linux-native API for async I/O. The
POSIX async I/O facility requires this library to provide
kernel-accelerated async I/O capabilities, as do applications that
require the Linux-native async I/O API.



%debug_package
%package devel
License:        LGPL v2.1 or later
Summary:        Development Files for Linux-native Asynchronous I/O Access
Group:          Development/Libraries/C and C++
Requires:       libaio = %{version}

%description devel
This package provides header files to include, and libraries to link
with, for the Linux-native asynchronous I/O facility ("async I/O", or
"aio").



%prep
%setup -q
%patch1
%patch2 -p1

%build
make OPTFLAGS="$RPM_OPT_FLAGS"

%install
make install prefix=%{buildroot}/usr libdir=%{buildroot}/%{_lib}
mkdir -p %{buildroot}%{_libdir}
mv %{buildroot}/%{_lib}/libaio.a %{buildroot}%{_libdir}/libaio.a
rm %{buildroot}/%{_lib}/libaio.so
ln -s ../../%{_lib}/libaio.so.1 %{buildroot}%{_libdir}/libaio.so

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING TODO
%attr(0755,root,root) /%{_lib}/libaio.*

%files devel
%defattr(644,root,root,755)
/usr/include/libaio.h
%_libdir/libaio.a
%_libdir/libaio.so

%changelog
* Thu Sep 27 2007 - hare@suse.de
- Fix dangling symlink (#307063)
* Thu Aug 02 2007 - hare@suse.de
- Use RPM_OPT_FLAGS
- Fix installation directories
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu May 05 2005 - schwab@suse.de
- Fix ia64 assembler.
* Wed Apr 27 2005 - kukuk@suse.de
- Update to version 0.3.104
* Wed Dec 01 2004 - kukuk@suse.de
- Update to version 0.3.102 [#44374]
* Tue Apr 20 2004 - meissner@suse.de
- fixed ppc64 alignment problems. [#38801/LTC#7503]
* Fri Mar 12 2004 - kukuk@suse.de
- Update to 0.3.98 [Bug #35266]
* Tue Mar 02 2004 - ro@suse.de
- use -fPIC for shared objects on ppc
* Sun Jan 11 2004 - adrian@suse.de
- add %%defattr and %%run_ldconfig
* Wed Oct 01 2003 - schwab@suse.de
- Fix for ia64.
* Wed Apr 23 2003 - coolo@suse.de
- fix build for lib64
* Wed Apr 23 2003 - coolo@suse.de
- use BuildRoot
* Fri Apr 11 2003 - ro@suse.de
- fix header to be includable with glibc (#26033)
* Thu Apr 03 2003 - kukuk@suse.de
- Add missing "const" to libaio.h [#26030]
* Tue Oct 01 2002 - meissner@suse.de
- Fixed __syscall_return for ppc.
* Fri Sep 20 2002 - fehr@suse.de
- Add syscall defines for x86_64
- add Andreas fix for testsuite main program to compile on x86_64
- add another fix to make testsuite build again on ia64
* Thu Sep 19 2002 - schwab@suse.de
- Add missing bits for ia64.
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Wed Sep 04 2002 - fehr@suse.de
- make package from  libaio-0.3.15-2.5
